Uses Crt;

Var
 B : Byte;

Begin
 WriteLn('Передача байта через сервис BIOS');
 WriteLn('Порт COM1');

 Asm
  Mov Ah, 0   {код функции - инициализация порта}
  Mov Dx, 0   {номер порта - COM1}
  Mov Al, 227 {11100011b=9600, нет четности, 1 стоп-бит, 8 бит данных}
  INT 14H
 End;

 While not KeyPressed do begin
  Write('Введите байт:'); ReadLn(B);
  Asm
   Mov Ah, 1 {код функции - передача байта}
   Mov Dx, 0 {номер порта - COM1}
   Mov Al, B {передаваемый байт }
   INT 14H
  End;
 End;
End.